/*
   forw.c : Copyright Paul Healy, EI9GL, 1992.

   920802 : Created.
*/
#include <stdio.h>
#include "rc.h"
#include "misc.h"
#include "help.h"
#include "current.h"
#include "buffer.h"
#include "mailer.h"

#ifdef BMH
#define main forw_main
#endif

int
main(int argc, char *argv[])
{
   int msg;
   char *folder, *start, *end, filename[256];
   FILE *fp;

   dohelp(argc, argv, "forw [msg]");

   if (loadconfig()==-1)
      return -1;
   if (getcurrent(argc, argv, &folder, &msg) == -1)
      return -1;
   if (loadmail("forw", folder, &start, &end) == -1)
      return -1;
   if ( (fp = tempfile("forw", filename, "w")) == NULL)
      return -1;

   fprintf(fp, "To: \nCc: \nSubject: \n--------\n----- Forwarded message -----\n");

   (void) msg2file(start, end, fp, msg, 1);

   fprintf(fp, "----- End of forwarded message -----\n");
   fclose(fp);

   if (call_ed("forw", filename) == -1) {
      unlink(filename);
      return -1;
      }

   return dowhatnow("forw", filename, 1);
}
